Package org.codehaus.janino

# Class Java.Package

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.Package

All Implemented Interfaces:
  `Java.Locatable`

Enclosing class:
  `Java`

public static final class Java.Package extends Java.Atom
Representation of a JLS7 6.5.2.1.5 "package name".

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`name`
The complete name of a package, e.g.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`Package(Location location, String name)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.AtomVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.AtomVisitor` for the concrete `Java.Atom` type.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalue, toLvalueOrCompileException, toRvalue, toRvalueOrCompileException, toType, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public final String name
The complete name of a package, e.g. "java" or "java.util".

## Constructor Details

### Package

public Package(Location location, String name)

## Method Details

### toString

public String toString()

Specified by:
  `toString` in class `Java.Atom`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.AtomVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.Atom`
Invokes the "`visit...()`" method of `Visitor.AtomVisitor` for the concrete `Java.Atom` type.

Specified by:
  `accept` in class `Java.Atom`
Throws:
  `EX`